Communauté
BIM Revit, BIM et Autodesk Construction Cloud (ACC) - Français
Bienvenue sur le forum AEC francophone dédié aux solutions BIM de la société Autodesk. Cet espace est dédié aux professionnels et passionnés du secteur de l'Architecture, de l'Ingénierie et de la Construction (AEC) qui utilisent le logiciel Revit ainsi que les plateformes collaboratives d'Autodesk (ACC et Autodesk Forma). Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets, que vous soyez architecte, ingénieur, gestionnaire de projet ou tout autre acteur de l'AEC.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Appliquer arborescence

4 RÉPONSES 4
RÉSOLU
Répondre
Message 1 sur 5
jdhussong
379 Visites, 4 Réponses

Appliquer arborescence

Bonjour,

J'ai récupéré l'arborescence d'un gabarit sur mon projet avec :

Dim orga As BrowserOrganization = BrowserOrganization.GetCurrentBrowserOrganizationForViews(gabarit)
Gab.Add(orga.Id)
orga = BrowserOrganization.GetCurrentBrowserOrganizationForSheets(gabarit)
Gab.Add(orga.Id)
orga = BrowserOrganization.GetCurrentBrowserOrganizationForSchedules(gabarit)
Gab.Add(orga.Id)
ElementTransformUtils.CopyElements(gabarit, Gab, doc, Nothing, options)

 

et je souhaite l'appliquer directement à mon projet mais je ne trouve pas la solution sur le forum

Est ce possible?

Si oui comment

Merci d'avance pour vos réponse.

Cordialement

Didier

4 RÉPONSES 4
Message 2 sur 5
Charles.Piro
en réponse à: jdhussong

Salut,

 

oui ce que tu souhaite faire est tout à fait faisable. Le seul point auquel il faut faire attention, c'est la transaction pour la copy des éléments. Cette transaction doit être faite sur le document de destination.

Voici un exemple C# qui permet de transférer le gabarit de vue courant vers le deuxième projet ouvert : 

 

public Result Execute(ExternalCommandData extCmdData, ref string msg, ElementSet elmtSet)
        {
            UIApplication uiapp = extCmdData.Application;
            UIDocument uiDoc = uiapp.ActiveUIDocument;
            Application app = uiapp.Application;
            Document doc = uiDoc.Document;

            try
            {
                ICollection<ElementId> collId = new List<ElementId>();
                BrowserOrganization bo = BrowserOrganization.GetCurrentBrowserOrganizationForViews(doc);
                collId.Add(bo.Id);

                Document destdoc = null;
                foreach (Document _doc in app.Documents)
                {
                    if(_doc.Title != doc.Title)
                    {
                        destdoc = _doc;
                        break;
                    }
                }

                using (Transaction trans = new Transaction(destdoc))
                {
                    trans.Start("start");

                    ElementTransformUtils.CopyElements(doc, collId, destdoc, Transform.Identity, new CopyPasteOptions());

                    trans.Commit();
                }

                
            }
            catch (Exception e)
            {
                msg = e.Message;
                return Result.Failed;
            }
            return Result.Succeeded;
        }

 

😉



PIRO Charles
Developer

PIRO CIE
Linkedin


Message 3 sur 5
jdhussong
en réponse à: Charles.Piro

Bonjour,

Merci pour la réponse, je récupère bien la nouvelle arborescence dans le nouveau projet mais  elle n'est pas appliqué directement, je dois le faire manuellement.

Sur l'image jointe "MET_Discipline" qui est appliqué sur le source mais pas sur le projet.

Didier

Message 4 sur 5
Charles.Piro
en réponse à: jdhussong

Salut,

 

malheureusement cette option n'est pas disponible actuellement.

 

😉



PIRO Charles
Developer

PIRO CIE
Linkedin


Message 5 sur 5
patrick.emin
en réponse à: jdhussong

Bonjour @jdhussong 

Si une des réponses résout votre problème ou vous a permis de mieux le comprendre, voulez vous avoir l'amabilité de cliquer sur le bouton  APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Merci de ne pas accepter comme solution le message que vous êtes en train de lire.


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report